com.holonplatform.json.jackson

## Class PropertyBoxModule

- java.lang.Object
- - com.fasterxml.jackson.databind.Module
  - - com.holonplatform.json.jackson.PropertyBoxModule

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned

      public class PropertyBoxModule
      extends com.fasterxml.jackson.databind.Module

  Jackson module with `PropertyBox` serialization and deserialization capabilities.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

      `com.fasterxml.jackson.databind.Module.SetupContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyBoxModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getModuleName()`
    `void` | `setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)`
    `com.fasterxml.jackson.core.Version` | `version()`

    - ### Methods inherited from class com.fasterxml.jackson.databind.Module

      `getDependencies, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyBoxModule

          public PropertyBoxModule()

  - ### Method Detail

    - #### getModuleName

          public String getModuleName()

      Specified by:
        `getModuleName` in class `com.fasterxml.jackson.databind.Module`

    - #### version

          public com.fasterxml.jackson.core.Version version()

      Specified by:
        `version` in interface `com.fasterxml.jackson.core.Versioned`
      Specified by:
        `version` in class `com.fasterxml.jackson.databind.Module`

    - #### setupModule

          public void setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)

      Specified by:
        `setupModule` in class `com.fasterxml.jackson.databind.Module`

Copyright © 2019 The Holon Platform. All rights reserved.